#gallery-upload-wrapper {
    display: inline-block;
}

.gallery-upload-button {
    cursor: pointer;
}

#no-images-msg {
    margin: auto;
}

#button-container {
    display: inline-block;
    margin-right: 5%;
}

.gallery-image-remove-button {
    font-size: 4vh;
    margin-left: -3vh;
}

.gallery-image-remove-button-wrapper {
    display: inline-block;
    height: 100%;
    vertical-align: top;
}

.gallery-image {
    height: inherit;
    max-height: inherit;
    max-width: 90%;
    cursor: pointer;
}

.gallery-side-button-next, .gallery-side-button-prev {
    position: absolute;
    height: 91%;
}

.gallery-side-button-next {
    right: 0;
}

.gallery-side-button-prev {
    left: 0;
}

#gallery-bottom {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
}

#thumb-container {
    overflow: scroll;
    overflow-y: hidden;
    white-space: nowrap;
}

.toggle-visibility-btn, .previous-btn, .next-btn {
    margin-right: 0.5vmax;
    margin-left: 0.5vmax;
    margin-top: 0.1vmax;
    background-color: rgba(0,0,0,0);
    border: none;
    font-size: 1.5em;
}

.gallery-image-thumb-selected, .gallery-image-thumb {
    width: 20vh;
    height: 20vh;
    cursor: pointer;
    margin: 0.3% 0.2% 0.3% 0.2%;
    display: inline-block;
    vertical-align: top;
    white-space: nowrap;
    font-size: 0;
}

#floating-list{
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: right;
    white-space:nowrap;
}

.gallery-thumb-offset {
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.thumb-image {
    margin: auto;
    vertical-align: middle;
    width: 100%;
}

#image-list {
    float: right;
    width: 27%;
    vertical-align: top;
    margin-left: 1vmax;
    text-align: center;
}

#image-display {
    display: inline-block;
    text-align: center;
    width: 100%;
}

.gallery-drop-box-text {
    vertical-align: middle;
    white-space: normal;
    text-align: center;
    padding-left: 15px;
    padding-right: 15px;
    display: table-cell;
    font-size: 1.5vmin;
}

.gallery-drop-box-inner {
     padding-top: 5px;
}

.drop-content {
    display: table-cell;
    vertical-align: middle;
    width: 20vh;
    height: 18vh;
}

.select-file-button {
    text-align:center;
}



